# Uses of Interface
javax.xml.crypto.dsig.SignatureMethod

Packages that use SignatureMethod
Package
Description
javax.xml.crypto.dsig
Classes for generating and validating XML digital signatures.

## Uses of SignatureMethod in javax.xml.crypto.dsig

Methods in javax.xml.crypto.dsig that return SignatureMethod
Modifier and Type
Method
Description
`SignatureMethod`
SignedInfo.`getSignatureMethod()`
Returns the signature method of this `SignedInfo`.
`abstract SignatureMethod`
XMLSignatureFactory.`newSignatureMethod​(String algorithm, SignatureMethodParameterSpec params)`
Creates a `SignatureMethod` for the specified algorithm URI and parameters.
Methods in javax.xml.crypto.dsig with parameters of type SignatureMethod
Modifier and Type
Method
Description
`abstract SignedInfo`
XMLSignatureFactory.`newSignedInfo​(CanonicalizationMethod cm, SignatureMethod sm, List<? extends Reference> references)`
Creates a `SignedInfo` with the specified canonicalization and signature methods, and list of one or more references.
`abstract SignedInfo`
XMLSignatureFactory.`newSignedInfo​(CanonicalizationMethod cm, SignatureMethod sm, List<? extends Reference> references, String id)`
Creates a `SignedInfo` with the specified parameters.